[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLSequence.GetNextValue

Get a next value for the sequence

## Declaration

Source position: sqldb.pp line 460

`public function TSQLSequence.GetNextValue: Int64;`

## Function result

The new value for the sequence

## Description

GetNextValue gets a new value for generator TSQLSequence.SequenceName using TSQLSequence.IncrementBy

## Errors

If the dataset is not attached to a connected database, an exception will be raised.

## See also

TSQLSequence.FieldName |  | Field to apply sequence to
TSQLSequence.SequenceName |  | Sequence name to get values from
TSQLSequence.IncrementBy |  | Value to increment sequence with
TSQLSequence.Apply |  | Apply a new value to a field
TSQLConnection.GetNextValue |  | Get next value for a sequence